## org.exist.collections.triggers
Class TriggerStatePerThread.TriggerState

    java.lang.Object
      org.exist.collections.triggers.TriggerStatePerThread.TriggerState

Enclosing class:
  TriggerStatePerThread

public static class TriggerStatePerThread.TriggerState
extends java.lang.Object

Constructor Summary
`TriggerStatePerThread.TriggerState(int state)`

Method Summary
`DocumentTrigger` `getTrigger()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerStatePerThread.TriggerState

    public TriggerStatePerThread.TriggerState(int state)

Method Detail

### getTrigger

    public DocumentTrigger getTrigger()

Copyright (C) Wolfgang Meier. All rights reserved.